\chapter*{Acknowledgments}

\addcontentsline{toc}{chapter}{Acknowledgments}

\noindent First I want to thank Prof. Pierluigi Di Lizia for being my advisor and for his distinguished kindness and availability; he put me in contact with Prof. Furfaro, who allowed me to have such a great experience in doing the thesis abroad. I thank Prof. Roberto Furfaro for giving me the opportunity to carry out this research at the University of Arizona, and for his presence and relationship also out of the office. I thank Prof. Francesco Topputo for giving some corrections to my thesis and for introducing me to Git, a tool that I found very useful for this work.

I thank my companions in Arizona, in particular Luca, Andrea, Enrico, Mario and Shahin, for their friendship and for the beautiful trips we had around Arizona and California. I thank Raffa and Genna, who welcomed me in Los Angeles and with whom I spent a couple of nice days.

I thank all my Polimi friends and classmates, with whom I shared these last years pursuing the Master's degree: Alessio, Andre Gioia, Andre Pasquale, Azzi, Corimba, Cri, Erkin, Faggio, Fra Roman\'o, Fra Scala, Gare, Giobbe, Jack Negri, Laurona, Luca Mariani, Marghe, Marzia, Monta, Nando, Pez, Pit, Polventu, Quiro, Seba, Simo, Teo Caruso, Tico, Tognotommi, Tom Bellosta.

Last but most important, I thank my family for supporting me and for giving me the opportunity and the financial means to study.

\afterpage{\blankpage}